Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class PPPoEUtils

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.PPPoEUtils

    public class PPPoEUtils
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `PPPoEUtils.PPPoELogin` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PPPoEUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `generateRule​(java.lang.String nasId, GateType gateType, java.lang.String data, java.util.HashMap<java.lang.Integer,​java.lang.String[]> ruleTypes)` |
  `static java.lang.String` | `getAttributes​(java.lang.String ruleTypeConfig)` |
  `static java.lang.String` | `getRealm​(java.lang.String ruleTypeConfig)` |
  `static java.util.HashMap<java.lang.Integer,​java.lang.String[]>` | `getRuleTypes​(java.util.Map<java.lang.Integer,​RuleType> ruleTypeMap)` |
  `static PPPoEUtils.PPPoELogin` | `parseRule​(java.lang.String data)` |
  `static java.lang.String` | `rulesToString​(java.util.List<PPPoERule> ruleList)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PPPoEUtils

    public PPPoEUtils()

- ## Method Details

  - ### getRealm

    public static java.lang.String getRealm​(java.lang.String ruleTypeConfig)

  - ### getAttributes

    public static java.lang.String getAttributes​(java.lang.String ruleTypeConfig)

  - ### parseRule

    public static PPPoEUtils.PPPoELogin parseRule​(java.lang.String data)

  - ### rulesToString

    public static java.lang.String rulesToString​(java.util.List<PPPoERule> ruleList)

  - ### getRuleTypes

    public static java.util.HashMap<java.lang.Integer,​java.lang.String[]> getRuleTypes​(java.util.Map<java.lang.Integer,​RuleType> ruleTypeMap)

  - ### generateRule

    public static java.lang.String generateRule​(java.lang.String nasId, GateType gateType, java.lang.String data, java.util.HashMap<java.lang.Integer,​java.lang.String[]> ruleTypes)